/vaults/details
Get VaultDetails for all vaults
Get VaultDetails for all vaults
Query Parameters
DEPRECATED: Use status instead. Legacy status filter. true returns active vaults; false returns non-active vaults. Ignored when status is provided.
trueFilter vaults by CMS status. Defaults to active. Use all to include every vault regardless of CMS status.
Value in
- "active"
- "disabled"
- "coming_soon"
- "hidden"
- "all"
falseResponse Body
application/json
application/json
curl -X GET "https://example.com/vaults/details"{ "data": [ { "complianceVersion": "v1", "complianceVersionByChain": { "property1": "v1", "property2": "v1" }, "complianceDeployments": [ { "version": "v1", "chainId": 1, "enabled": true, "proxyAddress": "string", "hookAddress": "string", "apiChain": "string", "startBlock": 0 } ], "vaultType": "boring", "category": "nestVault", "vaultAddress": "string", "nestShareOftAddress": "string", "nestVaults": [ { "nestVaultAddress": "string", "asset": "string", "chainAssets": [ { "chainId": 1, "assetAddress": "string" } ] } ], "nestComposers": [ { "asset": "string", "composerAddress": "string", "assetAddress": "string", "chainId": 1, "complianceVersion": "v1", "cctpDepositEnabled": true, "depositAndSendDestinations": [ { "chainId": 1, "eid": 1 } ], "startBlock": 0 } ], "accountantAddress": "string", "isHubAccountant": false, "nestAccountant": { "address": "string", "isHub": false, "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } } }, "authorityAddress": "string", "tellerContractAddress": "string", "decimals": 0, "decimalsOverride": [ { "56": 18 } ], "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } }, "solana": { "mintAddress": "string", "oftStoreAddress": "string", "composerAddress": "string", "decimals": 0, "startBlock": 0 }, "liquidAssets": [ { "contractAddress": "string", "symbol": "string", "iconUrl": "string", "decimals": 0, "price": 0, "chainId": 0, "minimumSourceRules": [ { "sourceChain": 1, "sourceParams": { "excludeWallets": [ "string" ] } } ] } ], "slug": "string", "name": "string", "symbol": "string", "icon": "string", "iconMini": "string", "targetComposition": [ { "slug": "string", "name": "string", "description": "string", "image": "string" } ], "tvl": 0, "tvl30DayChange": 0, "volume24h": 0, "apy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "tokenPrice": 0, "tokenPriceUpdatedAtEpoch": 0, "liquidFunds": 0, "liquidFundsRange": 0, "holders": 0, "tokenPriceUpdatedAt": "2019-08-24T14:15:22Z", "pendingRedemptions": 0, "pendingRedemptionsValue": 0, "shortfall": 0 } ]}/vaults/apy-history GET
Get APY history for all vaults for the given date range. Only fully settled UTC days are included. Because the current UTC day is not yet settled, it is omitted even when it falls within the requested date range. `compositionApy` is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.
/vaults/details-lite GET
Get VaultDetailsLite for all vaults